Package Base Details: citra-bin

Git Clone URL: https://aur.archlinux.org/citra-bin.git (read-only, click to copy)
Submitter: chabad360
Maintainer: AlphaJack
Last Packager: AlphaJack
Votes: 8
Popularity: 0.180598
First Submitted: 2019-08-30 20:47 (UTC)
Last Updated: 2022-08-31 14:02 (UTC)

Pinned Comments

AlphaJack commented on 2022-08-30 18:34 (UTC)

You probably want to install the citra-qt-bin package, which comes with a graphical user interface as in other platforms.

Latest Comments

AlphaJack commented on 2022-08-30 18:34 (UTC)

You probably want to install the citra-qt-bin package, which comes with a graphical user interface as in other platforms.

marcBarbier commented on 2022-06-12 08:09 (UTC) (edited on 2022-06-12 08:21 (UTC) by marcBarbier)

Up to date makepkg

# Maintainer: Mendel Greenberg <mendel at chabad 360 dot me>

pkgbase='citra-bin'
pkgname=('citra-bin' 'citra-qt-bin')
pkgrel=1
pkgver=1770_20220611_88a4759
pkgdesc="An experimental open-source Nintendo 3DS emulator/debugger"
conflicts=('citra-git' 'citra-qt-git' 'citra-canary-bin' 'citra-qt-canary-bin')
license=('GPL2')
arch=('x86_64')
url="https://citra-emu.org"

_nightly_id=$(echo $pkgver | cut -d'_' -f1)
_ref="$(echo $pkgver | cut -d'_' -f2)-$(echo $pkgver | cut -d'_' -f3)"

source=("https://github.com/citra-emu/citra-nightly/releases/download/nightly-$_nightly_id/citra-linux-$_ref.tar.xz"
        "https://raw.githubusercontent.com/citra-emu/citra/master/dist/citra.desktop")

sha256sums=('cee55a7899622523d8d6dd58131d6fa3e9fafe396de3b8597dcc1cea985c09a3'
            'b4c9433fbcbb1b9ddf19f009252e89d8d653ebac7f67d5d0beb49259f583ab69')

package_citra-bin() {
    depends=('ffmpeg-compat-58' 'libsndio-61-compat' 'sdl2')
    replaces=('citra-nightly-bin')
    conflicts+=( 'citra-qt-bin' )

    cd "${srcdir}/citra-linux-${_ref}"
    install -Dm755 -t "${pkgdir}/usr/bin" citra
    install -Dm755 -t "${pkgdir}/usr/bin" citra-room

}
package_citra-qt-bin() {
    depends=('ffmpeg-compat-57' 'qt5-multimedia' 'libsndio-61-compat' 'sdl2' 'desktop-file-utils')
    optdepends=('libxkbcommon-x11: for X11 support'
            'qt5-wayland: for Wayland support')
    replaces=('citra-qt' 'citra-qt-nightly-bin')
    conflicts+=( 'citra-bin' )

    cd "${srcdir}/citra-linux-${_ref}"
    install -Dm755 -t "${pkgdir}/usr/bin" citra-qt
    install -Dm755 -t "${pkgdir}/usr/bin" citra-room
    install -Dm644 -t "${pkgdir}/usr/share/pixmaps" "dist/citra.png"

    cd "${srcdir}"
    install -Dm644 -t "${pkgdir}/usr/share/applications" "citra.desktop"
}

chabad360 commented on 2021-01-29 18:25 (UTC)

That seems to be an issue with ffmpeg

gameslayer commented on 2021-01-29 16:03 (UTC) (edited on 2021-01-29 16:04 (UTC) by gameslayer)

Ran into a erro while installing the package

ERROR: libopenjpeg not found

paro commented on 2020-01-17 09:49 (UTC)

@Neros: I had the same error too. Just recompiling the package should be enough. I tested only version 1399_20200101_01686f7, but should be the same even for the previous releases.

Neros commented on 2020-01-17 08:39 (UTC) (edited on 2020-01-17 08:40 (UTC) by Neros)

I have this error when I want to launch citra-qt since yesterday:

citra-qt: error while loading shared libraries: libx264.so.157: cannot open shared object file: No such file or directory